public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-go/delve/
Date: Wed, 13 Nov 2019 06:03:24 +0000 (UTC)	[thread overview]
Message-ID: <1573624248.e67a8eb5e8bf3fe1e7f17391ff21b3365885aae4.juippis@gentoo> (raw)

commit:     e67a8eb5e8bf3fe1e7f17391ff21b3365885aae4
Author:     Oz Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Tue Nov 12 15:45:05 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Nov 13 05:50:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e67a8eb5

dev-go/delve: bump version to 1.3.2

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Oz Tiram <oz.tiram <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/13621
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-go/delve/Manifest           |  1 +
 dev-go/delve/delve-1.3.2.ebuild | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/dev-go/delve/Manifest b/dev-go/delve/Manifest
index 55c5d343310..dcf4c9404dc 100644
--- a/dev-go/delve/Manifest
+++ b/dev-go/delve/Manifest
@@ -1 +1,2 @@
 DIST delve-1.3.0.tar.gz 7725559 BLAKE2B 4817536620ba86a0eefaaefe3249941f23e11ef66bab11c50847e021b3f86ca0d77bcead455fb4ecde5ca4d2753eb858b832109b0b2ab0a0902f24eb8dd21515 SHA512 9c7f543d855d3e27a16622a37ddf1ffc74f9abc06b34ec32d0202692def098e664e877f1c89ffe65683758dc43ed2cca350ba64e55c564920145323bb5e4ea13
+DIST delve-1.3.2.tar.gz 7732880 BLAKE2B dda40993beb553ed4e126547eadf2fcc14645a3e8f8d73032a6b75621d991d292d82b40a5da3435264af803dd081b9ebdfebfadae29caa5614d4b331340a38a4 SHA512 9a02c9e38e3ac824c257627a96d4184014db76c29851179df96edb2edf638e4f6ca055a392cbfa2a1bd36851d5ec24a9abe7983a9a1944f624b10cd5b392883c

diff --git a/dev-go/delve/delve-1.3.2.ebuild b/dev-go/delve/delve-1.3.2.ebuild
new file mode 100644
index 00000000000..c3af392d298
--- /dev/null
+++ b/dev-go/delve/delve-1.3.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit go-module
+EGO_PN="github.com/go-delve/delve"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="A source-level debugger for the Go programming language"
+HOMEPAGE="https://github.com/go-delve/delve"
+
+LICENSE="MIT BSD BSD-2 Apache-2.0"
+SLOT="0"
+
+RESTRICT="test"
+
+src_compile() {
+	go build -ldflags="-X main.Build=6c8c4508db7cbd735354e274c17ccecca9a8501a" -o "${S}/dlv" ./cmd/dlv || die
+}
+
+src_install() {
+	dodoc README.md CHANGELOG.md
+	dobin dlv
+}


             reply	other threads:[~2019-11-13  6:03 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-13  6:03 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-22  8:17 [gentoo-commits] repo/gentoo:master commit in: dev-go/delve/ Arthur Zamarin
2024-04-19 16:15 Arthur Zamarin
2023-12-26 21:26 Sam James
2023-12-26 21:26 Sam James
2023-04-10  2:54 Sam James
2022-08-28  8:22 Joonas Niilola
2022-08-28  8:22 Joonas Niilola
2021-12-25 23:20 Sam James
2021-10-20  3:02 Sam James
2021-10-20  3:02 Sam James
2021-10-20  3:02 Sam James
2021-07-02  7:38 Joonas Niilola
2021-07-02  7:38 Joonas Niilola
2021-04-11  8:37 Joonas Niilola
2021-04-11  8:37 Joonas Niilola
2021-04-11  8:37 Joonas Niilola
2021-04-11  8:37 Joonas Niilola
2021-03-16 19:23 Sam James
2020-04-14  8:35 Joonas Niilola
2019-11-07  5:42 Joonas Niilola
2019-10-10  3:20 Joonas Niilola
2019-10-10  2:54 Joonas Niilola
2019-01-27 11:05 Pacho Ramos
2018-02-21 16:11 Manuel Rüger
2017-07-23 12:21 Manuel Rüger
2017-07-16 12:59 Manuel Rüger
2017-07-16 12:59 Manuel Rüger
2017-06-06 21:53 Manuel Rüger
2016-11-15 14:04 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1573624248.e67a8eb5e8bf3fe1e7f17391ff21b3365885aae4.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox